#pragma once

#include "Definitions.h"
#include "LinearSolverDefs.h"

class AbsractPreconditioner
{
public:
	virtual void Apply(size_v n, precise* vec) const { };
	virtual ~AbsractPreconditioner() {};
};

class NoopPreconditioner : public AbsractPreconditioner
{
public:
	void Apply(size_v n, precise* vec) const { };	
};

