#include "ChannelsType.h"

const extern char* ChannelsTypeStr[CT_LAST_INDEX + 2] =
{
	"Unknown",
	"RGB",
	"Log-RGB",
	"YCrCb",
	"Log-YCrCb",
	"YUV",
	"Log-YUV",
	"LAB",
	"HSV",
	"Lum",
	"Log-Lum",
	"RGB-R", 
	"RGB-G", 
	"RGB-B", 
	"Log-RGB-R", 
	"Log-RGB-G", 
	"Log-RGB-B", 
	"YCrCb-Cr",
	"YCrCb-Cb",
	"Log-YCrCb-Cr",
	"Log-YCrCb-Cb",
	"YUV-U", 
	"YUV-V", 
	"Log-YUV-U", 
	"Log-YUV-V", 
	"LAB-L", 
	"LAB-A", 
	"LAB-B", 
	"HSV-H", 
	"HSV-S", 
	"HSV-V", 
	 NULL 
};

const extern  char* SubChannelTypeStr[CT_LAST_INDEX + 1][3] =
{
	{NULL, NULL, NULL},
	{"R", "G",  "B"},
	{"Log-R", "Log-G",  "Log-B"},
	{"Y", "Cr", "Cb"},
	{"log-lum", "Log-Cr", "Log-Cb"},
	{"Y", "U",  "V"},
	{"log-lum", "Log-U", "Log-V"},
	{"L", "A",  "B"},
	{"H", "S",  "V"},
	{"lum",     NULL, NULL},
	{"log-lum", NULL, NULL},
	{"R",       NULL, NULL},
	{"G",       NULL, NULL},
	{"B",       NULL, NULL},
	{"Log-R",   NULL, NULL},
	{"Log-G",   NULL, NULL},
	{"Log-B",   NULL, NULL},
	{"Cr",      NULL, NULL},
	{"Cb",      NULL, NULL},
	{"Log-Cr",  NULL, NULL},
	{"Log-Cb",  NULL, NULL},
	{"U",       NULL, NULL},
	{"V",       NULL, NULL},
	{"Log-U",   NULL, NULL},
	{"Log-V",   NULL, NULL},
	{"L",       NULL, NULL},
	{"A",       NULL, NULL},
	{"B",       NULL, NULL},
	{"H",       NULL, NULL},
	{"S",       NULL, NULL},
	{"V",       NULL, NULL},
};
