#ifndef __VECTOR_FIELD_H__
#define __VECTOR_FIELD_H__

#include "Definitions.h"
#include "Image.h"

class VectorField : public CFloatImage
{
public:
	VectorField();
	VectorField(CShape shape);
	VectorField(CShape shape, string dataFN);
	void LoadFieldEugene(CShape shape, string dataFN);

	void NormalizeField();
	void InitDiagonalField(float angDegrees);
	void InitSinkField(float sinkX, float sinkY, bool invertY = true);
	void InitSourceField(float sourceX, float sourceY, bool invertY = true);
	
};

#endif
