#include "GS_MainWindow.h"

int GS_MainWindow::handle(int eventID)
{
	int returnVal = Fl_Double_Window::handle(eventID);

	//keyboard shortcuts
	switch(eventID) 
	{
	case FL_KEYUP:
		switch(Fl::event_key())
		{			

		case '1':
			if(Fl::event_ctrl())
			{
				view_img();
			}
			else if(Fl::event_shift())
			{
				executeFilter(Filter_Driver::FT_TM);
			}
			break;

		case '2':
			if(Fl::event_ctrl())
			{
				view_result();
			}
			else if(Fl::event_shift())
			{
				executeFilter(Filter_Driver::FT_SHARPEN);
			}
			break;

		case '3':
			if(Fl::event_shift())
			{
				executeFilter(Filter_Driver::FT_ELE);
			}
			break;

		case '4':
			if(Fl::event_shift())
			{
				executeFilter(Filter_Driver::FT_NPR);
			}
			break;

		case '5':
			if(Fl::event_shift())
			{
				executeFilter(Filter_Driver::FT_RELIGHT);
			}
			break;

		case '6':
			if(Fl::event_shift())
			{
				executeFilter(Filter_Driver::FT_DEBLOCK);
			}
			break;

		default:
			//PRINT_INT(Fl::event_key());
			break;
		}
	}

	return returnVal;
}