#include "GS_MainWindow.h"

void GS_MainWindow::setup_VarDefaults()
{
	this->wg_fileChooser  = NULL;
	this->wg_menubar      = NULL;
	this->wg_imgPanel     = NULL;

	this->gsf_toneMap     = NULL;
	this->gsf_sharpen     = NULL;
	this->gsf_painterly   = NULL;
	this->gsf_ele         = NULL;
	this->gsf_deblock     = NULL;
	this->gsf_relight     = NULL;

	this->gss_fourier     = NULL;
} 


GS_MainWindow::GS_MainWindow(GS_MainWindowParams params) : Fl_Double_Window(params.width, 
																	        params.height, 
																  	        params.title.c_str())
{
	this->params = params;

	Fl::scheme("plastic");
	Fl::get_system_colors();

	setup_VarDefaults();
	setup_Widgets();
	
	show();
	//file_open("c:\\temp\\flicr-001.jpg");
}
