
if [ $# -ne 3 ];
then
    echo usage: $0 opt_file start_val end_val 
    exit
fi

OPT_FILE=$1
PARAM_START=$2
PARAM_END=$3

if [ ! -f  $OPT_FILE ];
then
	echo file not found - $OPT_FILE	
fi


MACHINE_COUNT=30

echo $OPT_FILE
echo $PARAM_START
echo $PARAM_END

TEMP_SCRIPT_NAME=./processVideo-${RANDOM}.txt
echo creating frames script - $TEMP_SCRIPT_NAME
touch ${TEMP_SCRIPT_NAME}
chmod 755 ${TEMP_SCRIPT_NAME}
echo "" > ${TEMP_SCRIPT_NAME}

for param in `seq $PARAM_START 1 $PARAM_END`
do
	echo ce $OPT_FILE index=$param >> ${TEMP_SCRIPT_NAME}	
done

echo ${TEMP_SCRIPT_NAME}

#frames -n $MACHINE_COUNT p ${TEMP_SCRIPT_NAME}
