
if [ $# -ne 6 ];
then
    echo usage: $0 exp_name opt_file param_name start_val end_val incr
    exit
fi

EXP_NAME=$1
OPT_FILE=$2
PARAM_NAME=$3
PARAM_START=$4
PARAM_END=$5
PARAM_INCR=$6

if [ ! -f  $OPT_FILE ];
then
	echo file not found - $OPT_FILE	
fi


MACHINE_COUNT=30

echo $EXP_NAME
echo $OPT_FILE
echo $PARAM_NAME
echo $PARAM_START
echo $PARAM_END
echo $PARAM_INCR

TEMP_SCRIPT_NAME=./searchParam-${RANDOM}.txt
touch ${TEMP_SCRIPT_NAME}
chmod 755 ${TEMP_SCRIPT_NAME}
echo "" > ${TEMP_SCRIPT_NAME}

mkdir $EXP_NAME >& /dev/null
mkdir $EXP_NAME/$PARAM_NAME >& /dev/null

for param in `seq $PARAM_START $PARAM_INCR $PARAM_END`
do
	echo gf $OPT_FILE outDir=$EXP_NAME/$PARAM_NAME/ $PARAM_NAME=$param ">>" $EXP_NAME/$PARAM_NAME/out-$param.txt >> ${TEMP_SCRIPT_NAME}	
done

frames -n $MACHINE_COUNT p ${TEMP_SCRIPT_NAME}