#include "GS_VSolver.h"


void GS_VSolver::setTGrad_default(double& tGrad, double& tGradWeight)
{

}

void GS_VSolver::setTGrad_sharpenMotion(double& tGrad, double& tGradWeight)
{
	double sharpenMult = 2.0;
	double sharpenMultDelta = sharpenMult - 1.0;

	tGradWeight *= pow( this->params.pinchFuncScale * myAbs(tGrad * sharpenMultDelta) + 1.0, this->params.pinchFuncExp );
	tGrad       *= sharpenMult;
}


void GS_VSolver::setTGrad_temporalCoherence(double& tGrad, double& tGradWeight)
{
	//bug
	if(fabs(tGrad) < 0.04)
		tGrad = 0.0;
	else 
		tGradWeight = 0.0;
}


void GS_VSolver::setTGrad_deflicker(double fxy, double& tGrad, double& tGradWeight)
{
	//bug
	if(((fxy > 0.2) && ((fxy - tGrad) > 0.2)) && (fabs(tGrad) < 0.75))
		tGrad = 0.0;
}
