#ifndef __GSF_NULL_H__
#define __GSF_NULL_H__

#include "GS_Filter.h"

class GSF_Null : public GS_Filter
{
public:
	GSF_Null(GS_Problem *_problem);
	void FilterLevel(int iLevel, void* userData = NULL);

public: //GSF_Null-Driver.cpp
	static GS_Image Null(GS_ProblemInput& probInput,
						 GS_Problem::Params probParams = GS_Problem::Params::Default(),
						 GS_Solver::Params solParams   = GS_Solver::Params::Default());

	static void TestFilters(string imgFN, string outDir = "");
};

#endif


