#ifndef __PRECONDITIONER_H__
#define __PRECONDITIONER_H__

#include "Definitions.h"
#include "LinearSolverDefs.h"

class AbsractPreconditioner
{
public:
	virtual void Apply(int n, precise* vec) const = 0;
};

class NoopPreconditioner : public AbsractPreconditioner
{
public:
	void Apply(int n, precise* vec) const { };	
};

#endif