#include "GS_MainWindow.h"

void 
GS_MainWindow::win_filter_closed()
{
	Fl_Menu_Item* filterItem = getMenuItemByName(this->wg_menubar, "&Window/&filter");
	INSIST(filterItem != NULL);
	filterItem->clear();
}

void 
GS_MainWindow::win_filter()
{
	Fl_Menu_Item* filterItem = getMenuItemByName(this->wg_menubar, "&Window/&filter");
	INSIST(filterItem != NULL);

	if(this->wg_filterWindow->visible())
	{
		filterItem->clear();
		this->wg_filterWindow->hide();
	}
	else
	{
		filterItem->set();
		this->wg_filterWindow->show();
	}
}	

void 
GS_MainWindow::cb_win_filter(Fl_Widget*, void* mainWinPtr)
{
	((GS_MainWindow *) mainWinPtr)->win_filter();
}
