#ifndef __GS_UI_DEFS_H__
#define __GS_UI_DEFS_H__

#include "Definitions.h"

//FLTK Includes
#pragma warning(push)
#pragma warning(disable:4311)
#pragma warning(disable:4312)
#include <FL/fl.h>
#include <FL/fl_Window.H>
#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_File_Chooser.H>
#pragma warning(pop)

#include "Curve.h"

#define SET_WAIT_CURSOR()    this->cursor(FL_CURSOR_WAIT,    FL_WHITE, FL_BLACK);
#define SET_DEFAULT_CURSOR() this->cursor(FL_CURSOR_DEFAULT, FL_WHITE, FL_BLACK);

typedef struct _GS_Line
{
	int x1, y1;
	int x2, y2;

	_GS_Line()
	{
		x1 = y1 = x2 = y2 = 0;
	}
} GS_Line;

bool IsPointInWidget(Fl_Widget *widget, int x, int y);

#endif