#ifndef __GS_FILE_CHOOSER_H__
#define __GS_FILE_CHOOSER_H__

#include "Definitions.h"
#include "GS_UI_Definitions.h"

#pragma warning(push)
#pragma warning(disable:4267)
#pragma warning(disable:4800)
#pragma warning(disable:4311)
#include "FLU/Flu_File_Chooser.h"
#pragma warning(pop)

class GS_FileChooser : public Flu_File_Chooser
{
	int extCount;
	vector<string> extStrs;
	vector<string> extType;

public:
	GS_FileChooser(vector<string> extStrs, 
				   vector<string> extType);

	string GetFileNameChoice(string winTitle, 
							 bool insistFileExists = true, 
							 string defaultExt = "", 
							 bool warnIfFileExists = false);

private:
	string getFilterStr();
	void setFilterIndex(string imgExt);
	string addFileExtIfMissing(string fileName);

	int filter_value();
	void filter_value(int index);
};

#endif